xquery version "3.1";

module namespace html-head="https://mollenhauer-edition.de/ns/html-head";

declare namespace tei="http://www.tei-c.org/ns/1.0";
declare namespace xhtml="http://www.w3.org/1999/xhtml";
declare namespace index="https://mollenhauer-edition.de/index";

import module namespace config="https://sade.textgrid.de/ns/config" at "../../config.xqm";
import module namespace lang="https://sade.textgrid.de/ns/lang" at "../../lang.xqm";

declare function html-head:get-title($node as node(), $model as map(*)) {
    let $edition := request:get-parameter("file", ())
    return
        element title {
            if ($edition) then
                let $doc := doc($config:tei || $edition || ".xml")
                let $edition-number := $doc//tei:publicationStmt/tei:idno[@type="KMG"]/text()
                return
                    ("KMG" || " " || $edition-number || " – ")
            else
                (),
            "Klaus-Mollenhauer-Gesamtausgabe"
        }
};
